# frozen_string_literal: true

class StageManager
  # Controller to handle API v1 routes
  class ApiV1Controller

    get '/health' do
      json status: 'success'
    end

    get '/channels' do
      channels = Channel.all().map!(&:to_hash)
      json channels
    end

    get '/videos' do
      videos = Video.all().map!(&:to_hash)
      json videos
    end

  end
end
